### Method

# GUsb Device get_hid_descriptor_default

since: 0.4.7

#### Declaration

    GBytes*
    g_usb_device_get_hid_descriptor_default (
      GUsbDevice* self
      GError** error
    )

#### Description

Gets the default HID descriptors exported by the device.

If more than one interface exports a HID descriptor, use `g_usb_device_get_hid_descriptors()` instead.

Available since: 0.4.7

#### Return value

Type: `GBytes`

A HID descriptor, or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.